Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 176807 - gcalctool does not display #s greater than 2^55-1 properly in 64bit binary display.
Summary: gcalctool does not display #s greater than 2^55-1 properly in 64bit binary di...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-utils
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-03 03:53 UTC by Peter Quiring
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-20 22:38:22 UTC


Attachments (Terms of Use)

Description Peter Quiring 2006-01-03 03:53:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051216 Fedora/1.5-3 Firefox/1.5

Description of problem:
In scientific mode numbers like 2^y-1 (where y is from 55 thru 64) they are not displayed correctly in the 64bit binary display (1 and 0s).  It usually just shows 2^y (the -1 does not update the binary display).


Version-Release number of selected component (if applicable):
gnome-utils-2.13.3-1

How reproducible:
Always

Steps to Reproduce:
1.2
2.x^y
3.55 thru 64
4.ENTER
5.- (minus)
6.1
7.ENTER

  

Actual Results:  The binary bits are not updated after step 7.

Expected Results:  Update binary display accordingly.

Additional info:

Comment 1 Peter Quiring 2006-01-03 21:17:27 UTC
FYI - I would have posted this bug @ gnome.org but I know that they have a newer
version and Fedora Core has an older one.  Would it still be better to post bug
@ gnome.org?


Comment 2 Ray Strode [halfline] 2006-01-09 08:38:49 UTC
Hi Peter,

If you post the bug upstream you will likely get a response sooner.  In general
it is a good idea to post bugs upstream if they aren't distribution specific.  

If you do file upstream can you provide a link to the bug here?

Thanks.

Comment 3 Peter Quiring 2006-01-09 20:53:14 UTC
Added a bug to gnome project:

http://bugzilla.gnome.org/show_bug.cgi?id=326344



Comment 4 Peter Quiring 2006-01-11 19:12:42 UTC
FYI - Bug was verified and fixed in CVS.  Should be fixed in v5.7.21. (currently
5.7.18)

Comment 5 Christopher Aillon 2006-01-20 22:38:22 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.